### Enumeration

# GLib OptionFlags

#### Declaration

    flags GLib.OptionFlags

#### Description [src]

Flags which modify individual options.

#### Members

`G_OPTION_FLAG_NONE`

  No flags.

  - Value: `0`
  - Available since: 2.42
`G_OPTION_FLAG_HIDDEN`

  The option doesn’t appear in `--help` output.

  - Value: `1`
  - Available since: 2.0
`G_OPTION_FLAG_IN_MAIN`

  The option appears in the main section of the `--help` output, even if it is defined in a group.

  - Value: `2`
  - Available since: 2.0
`G_OPTION_FLAG_REVERSE`

  For options of the `G_OPTION_ARG_NONE` kind, this flag indicates that the sense of the option is reversed. i.e. `FALSE` will be stored into the argument rather than `TRUE`.

  - Value: `4`
  - Available since: 2.0
`G_OPTION_FLAG_NO_ARG`

  For options of the `G_OPTION_ARG_CALLBACK` kind, this flag indicates that the callback does not take any argument (like a `G_OPTION_ARG_NONE` option). Since 2.8.

  - Value: `8`
  - Available since: 2.0
`G_OPTION_FLAG_FILENAME`

  For options of the `G_OPTION_ARG_CALLBACK` kind, this flag indicates that the argument should be passed to the callback in the GLib filename encoding rather than UTF-8. Since 2.8.

  - Value: `16`
  - Available since: 2.0
`G_OPTION_FLAG_OPTIONAL_ARG`

  For options of the `G_OPTION_ARG_CALLBACK` kind, this flag indicates that the argument supply is optional. If no argument is given then data of %GOptionParseFunc will be set to NULL. Since 2.8.

  - Value: `32`
  - Available since: 2.0
`G_OPTION_FLAG_NOALIAS`

  This flag turns off the automatic conflict resolution which prefixes long option names with `groupname-` if there is a conflict. This option should only be used in situations where aliasing is necessary to model some legacy commandline interface. It is not safe to use this option, unless all option groups are under your direct control. Since 2.8.

  - Value: `64`
  - Available since: 2.0
`G_OPTION_FLAG_DEPRECATED`

  This flag marks the option as deprecated in the `--help`.

  You should update the description of the option to describe what the user should do in response to the deprecation, for instance: remove the option, or replace it with another one.

  - Value: `128`
  - Available since: 2.84